/* Application exemple d'utilisation des methodes    */
/* contenues dans FenetreGraphique.class             */

public class SimpleFenetreGraphique {
  
  public static void main(String [] args) {
  /* Initialisation et ouverture                      */
  /* de la fenetre d'affichage graphique              */
  /* Coin superieur gauche en position ecran (50,50)  */
  /* Fenetre de taille 500x420                        */
  /* Zone d'affichage de taille 480x360               */
  /* Titre "Test affichage graphique"                 */
    FenetreGraphique fg = new FenetreGraphique(50,50,500,420,480,360,"Test affichage graphique");
  /* Choix d'un vert fonce comme couleur d'effacement */
  /* de la zone d'affichage                           */
    fg.setClearColor(0,40,0);
  /* Ordre d'effacement de la zone d'affichage        */
    fg.clear();
  /* Choix d'un rouge clair comme couleur de trace    */
    fg.setColor(200,0,0);
  /* Ordre d'affichage d'un segment de droite         */
  /* Extremite initiale de position (40,70)           */
  /* Extremite finale de position (400,300)           */
    fg.drawLine(40,70,400,300);
  /* Choix d'un bleu clair comme couleur de trace     */
    fg.setColor(0,0,200);
  /* Ordre d'affichage d'un cercle                    */
  /* Centre de position (310,170)                     */
  /* Rayon: 90 pixels                                 */    
    fg.drawCircle(310,170,90);
  /* Envoi a l'ecran de l'image telle que construite  */
  /* par l'ensemble des ordres d'affichage executes   */
  /* depuis le dernier fg.flush                       */
    fg.flush();
  /* Temporisation de 10000 milli-secondes            */
    FenetreGraphique.wait(10000);
  /* Fermeture de la fenetre                          */
  /* et interruption de l'application                 */
    FenetreGraphique.exit();
  }   
}